Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Build QtOpcUa with open62541 and encryption support



  • Hi everyone,

    I'm trying to use QtOpcUa with open62541 backend for my work. To get familiar with QtOpcUa i have played with the example "opcuaviewer" .
    However there seems a problem how the open62541 library was built. If i'm trying to connect to and endpoint with SecurityPolicy the following logging messaged appears:

    Warning: The open62541 plugin has been built without encryption support (C:\Qt5.14\5.14.1\msvc2017_64\qtopcua\src\plugins\opcua\open62541\qopen62541backend.cpp:786, void __cdecl Open62541AsyncBackend::connectToEndpoint(const class QOpcUaEndpointDescription &))
    Warning: Unsupported security policy: "http://opcfoundation.org/UA/SecurityPolicy#Basic256Sha256" (C:\Qt5.14\5.14.1\msvc2017_64\qtopcua\src\plugins\opcua\open62541\qopen62541backend.cpp:788, void __cdecl Open62541AsyncBackend::connectToEndpoint(const class QOpcUaEndpointDescription &))

    I used the following link to build QtOpcUa https://blog.basyskom.com/building-qt-opc-ua-with-open62541. But instead of "git checkout 5.12" i used "git checkout 5.14" .
    So what do i need to do that open62541 is built with encryption support?

    Any help is appreciated-
    Thanks in advanced :)


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    Please don't post the same question in multiple sub forums.

    Moderators can move them if needed.

    Closing this one as duplicate


Log in to reply